> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Transactions

Retrieves all transactions. To limit the potentially large return size, it is recommended that the account or subscription query parameters be used to filter, in addition to pagination.

## HTTP Request

`GET https://api.vindicia.com/transactions`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| order | asc | Order the List of Transactions in either `asc`, ascending, or `desc`, descending order. |   |
| account | none | Limit the transaction list to a specified account **id** or **vid** - if specified, all Transactions associated with that Account. | No |
| subscription | none | Limit the transaction list to a specified subscription **id** or **vid** - if specified, all Transactions associated with that subscription. | No |
| include\_children | false | Indicates whether or not to return any existing child accounts’ transactions for a given returned Subscription/account combination. |   |
| source\_payment\_method | none | Limit the transaction list to a specified [Payment Method](Payment_Methods) type | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Transactions](Transactions), starting after the specified starting\_after Transaction (or ending before the specified ending\_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Transaction](Transactions) objects matching the query. Also:

* “total\_count”: Integer count of the number of Transactions in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Transaction object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Transaction object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/transactions?subscription=sub_1234x"
```

The above command returns JSON structured like this:

```

{
    "object": "List",
    "data": [
        {
            "object": "Transaction",
            "id": "FLX200001621",
            "vid": "d137d38973040467ed65b1d7c331a22ef14605c8",
            "created": "2020-05-31T15:12:28-07:00",
            "amount": 10.98,
            "currency": "USD",
            "account": {...},
            "source_payment_method": {...},
            "status_log": {...},
            "payment_processor": "Test",
            "payment_processor_transaction_id": "FLX200001621",
            "shipping_address": {...},
            "metadata": {
                "vin:RetryNumber": "0",
                "vin:recurring": "1",
                "vin:BillingCycle": "0"
            },
            "items": {
                "object": "List",
                "data": [
                    {...transactionitem...},
                    {...transactionitem...},
                    {...transactionitem...},
                    {...transactionitem...}
                ],
                "total_count": 4
            },
            "sales_tax_address": {...},
            "subscription_sequence": 1,
            "billing_plan_sequence": 1,
            "original_billing_date": "2020-05-27T00:00:00-07:00",
            "billing_attempt": 0,
            "subscription": {
                "object": "Subscription",
                "id": "sub_1234x",
                "vid": "796db5f7f7a1dea312f6c7e1393aebec1f1ecf1b"
            },
            "to_be_captured": true
        }
    ],
    "total_count": 1,
    "url": "/transactions?subscription=sub_1234x",
    "next": "/transactions?subscription=sub_1234x&starting_after=FLX200001621",
    "previous": "/transactions?subscription=sub_1234x&starting_before=FLX200001621"
}
```

**Parent topic:**[Transactions](../topics/Transactions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.